<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:b="http://bootsfaces.net/ui"> 

<h:head></h:head> 
<ui:composition template="#{mbAccount.template}">
	<ui:define name="title">Dashbord</ui:define>
	<ui:define name="CSS"><h:outputStylesheet name="#{mbAccount.cssSheet}"></h:outputStylesheet></ui:define>
	<ui:define name="naving">
		<b:form>
			<b:breadcrumbs>
				<b:navLink icon="home" iconAlign="left" value="Home" href="/AppNomadsWeb/partenaire/DashbordPartenaire.xhtml"></b:navLink>
				<b:navLink icon="list" iconAlign="left" value="Liste des prestations" href="/AppNomadsWeb/prestation/ListePrestation.xhtml"></b:navLink>
				<b:navLink icon="plus" iconAlign="left" value="Demander une prestation" href="/AppNomadsWeb/prestation/newPrestation.xhtml"></b:navLink>
			</b:breadcrumbs>
		</b:form>
	</ui:define>
		<ui:define name="content_page">
			<b:form>
				<h1>Hello Dashbord Partenaire</h1>
				
				<div class="dashboardPartenaire">
			<h1>Dashboard </h1>

				<!-- ligne des totaux -->
				<b:row>
					<b:column col-xs="5" span="3" style="background-color:#33ffc7;"
						class="infoCA text_center">
						<div align="center">
							<h4>Total prestations 2020</h4>
							<h:outputLabel value="19" />
						</div>

					</b:column>
					<b:column col-xs="5" span="3" style="background-color:#f08d07;"
						class="infoCA text_center">

						<div align="center">
							<h4>Total Feedback 2020</h4>
							<h:outputLabel value="15" />
						</div>

					</b:column>
					<!-- <b:column col-xs="5" span="3" style="background-color:#33d1ff;"
						class="infoCA text_center">

						<div align="center">
							<h4>Total prestations</h4>
							<h:outputLabel value="#{mbChartJS.nbPrestation}" />
						</div>

					</b:column>
					<b:column col-xs="5" span="3" style="background-color:#49ff33;"
						class="infoCA text_center">

						<div align="center">
							<h4>Total CA</h4>
							<h:outputLabel value="1800" />
						</div>

					</b:column> -->
				</b:row>

				<!-- graphique bar -->
				<script type="text/javascript">
            //<![CDATA[
            function exportChart() {
                //export image
                $('#output').empty().append(PF('chart').exportAsImage());
 
                //show the dialog
                PF('dlg').show();
            }
            //]]>
        </script>

				<p:barChart model="#{mbChartJSPart.barModel2}"
					style="width: 100%; height: 500px;" widgetVar="chart" />
				<br />

				<p:commandButton type="button" value="Export" icon="pi pi-home"
					onclick="exportChart()" />

				<p:dialog widgetVar="dlg" showEffect="fade" modal="true"
					header="Chart as an Image" resizable="false">
					<p:outputPanel id="output" layout="block"
						style="width:500px;height:300px" />
				</p:dialog>


			
		</div>
				
				 <div class="listePrestation">
			  <h2>Liste des  Prestations du Partenaire</h2>
				<b:dataTable  value="#{mbPartenaires.prestationDuPartenaire}" var="prestation">
					<b:dataTableColumn value="#{prestation.idPrestation}" label="Nom de la Prestation"/>
					<b:dataTableColumn value="#{prestation.libelle}" label="Nom de la Prestation"/>
					<b:dataTableColumn value="#{prestation.datePrestation}" label="Date de la prestation"/>
					<b:dataTableColumn value="#{prestation.partenaireEntity.nomCourant}" label="Nom du partenaire" />
					<b:dataTableColumn value="#{prestation.coutsInscription}" label="Coûts d'inscription" />
					<b:dataTableColumn value="#{prestation.typePaiment.libelle}" label="Type de paiement" />
					<b:dataTableColumn>
						<b:commandButton value="Feedback" iconAwesome="newspaper" look="info" action="#{mbPartenaires.feedbackPage(prestation.idPrestation)}"/>
					</b:dataTableColumn>
			  </b:dataTable>
			</div>
			
			</b:form>
		</ui:define>
</ui:composition>
</html>
